"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
const RunService_1 = require("../service/RunService");
class Run extends command_1.Command {
    run() {
        const { flags } = this.parse(Run);
        return new RunService_1.RunService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
    }
}
exports.default = Run;
Run.description = 'this command run this network from the created configuration and docker-compose.yml file.';
Run.examples = [`$ symbol-bootstrap run`];
Run.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: ConfigService_1.ConfigService.defaultParams.target,
    }),
};
