import { ConfigPreset } from './ConfigService';
export declare class BootstrapUtils {
    static deleteFolderRecursive(folder: string): void;
    static loadPresetData(root: string, preset: string, customPresetFile?: string): ConfigPreset;
    static loadExistingPresetData(target: string): ConfigPreset;
    static toAmount(renderedText: string | number): string;
    static toHex(renderedText: string): string;
    static removeUndefined(obj: any): any;
    static generateConfiguration(templateContext: any, copyFrom: string, copyTo: string): Promise<void>;
    static mkdir(path: string): Promise<void>;
    static writeYaml(path: string, object: any): Promise<void>;
}
